libvisio::VSDXMLParserBase Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
libvisio::VSDXMLParserBase Class Referenceabstract

`#include <VSDXMLParserBase.h>`

Inheritance diagram for libvisio::VSDXMLParserBase:

## Public Member Functions
| VSDXMLParserBase ()
virtual | ~VSDXMLParserBase ()
virtual bool | parseMain ()=0
virtual bool | extractStencils ()=0

## Protected Member Functions
int | readByteData (unsigned char &value, xmlTextReaderPtr reader)
int | readByteData (boost::optional< unsigned char > &value, xmlTextReaderPtr reader)
int | readUnsignedData (boost::optional< unsigned > &value, xmlTextReaderPtr reader)
int | readLongData (boost::optional< long > &value, xmlTextReaderPtr reader)
int | readLongData (long &value, xmlTextReaderPtr reader)
int | readDoubleData (boost::optional< double > &value, xmlTextReaderPtr reader)
int | readDoubleData (double &value, xmlTextReaderPtr reader)
int | readBoolData (boost::optional< bool > &value, xmlTextReaderPtr reader)
int | readBoolData (bool &value, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, long &idx, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, xmlTextReaderPtr reader)
int | readExtendedColourData (boost::optional< Colour > &value, xmlTextReaderPtr reader)
int | readNURBSData (boost::optional< NURBSData > &data, xmlTextReaderPtr reader)
int | readPolylineData (boost::optional< PolylineData > &data, xmlTextReaderPtr reader)
virtual xmlChar * | readStringData (xmlTextReaderPtr reader)=0
unsigned | getIX (xmlTextReaderPtr reader)
virtual void | _handleLevelChange (unsigned level)
void | _flushShape ()
virtual int | getElementToken (xmlTextReaderPtr reader)=0
virtual int | getElementDepth (xmlTextReaderPtr reader)=0
void | readEllipticalArcTo (xmlTextReaderPtr reader)
void | readEllipse (xmlTextReaderPtr reader)
void | readGeometry (xmlTextReaderPtr reader)
void | readMoveTo (xmlTextReaderPtr reader)
void | readLineTo (xmlTextReaderPtr reader)
void | readArcTo (xmlTextReaderPtr reader)
void | readNURBSTo (xmlTextReaderPtr reader)
void | readPolylineTo (xmlTextReaderPtr reader)
void | readInfiniteLine (xmlTextReaderPtr reader)
void | readRelCubBezTo (xmlTextReaderPtr reader)
void | readRelEllipticalArcTo (xmlTextReaderPtr reader)
void | readRelLineTo (xmlTextReaderPtr reader)
void | readRelMoveTo (xmlTextReaderPtr reader)
void | readRelQuadBezTo (xmlTextReaderPtr reader)
void | readForeignData (xmlTextReaderPtr reader)
virtual void | getBinaryData (xmlTextReaderPtr reader)=0
void | readShape (xmlTextReaderPtr reader)
void | readColours (xmlTextReaderPtr reader)
void | readPage (xmlTextReaderPtr reader)
void | readText (xmlTextReaderPtr reader)
void | readCharIX (xmlTextReaderPtr reader)
void | readParaIX (xmlTextReaderPtr reader)
void | readStyleSheet (xmlTextReaderPtr reader)
void | readPageSheet (xmlTextReaderPtr reader)
void | readSplineStart (xmlTextReaderPtr reader)
void | readSplineKnot (xmlTextReaderPtr reader)
void | readStencil (xmlTextReaderPtr reader)
void | handlePagesStart (xmlTextReaderPtr reader)
void | handlePagesEnd (xmlTextReaderPtr reader)
void | handlePageStart (xmlTextReaderPtr reader)
void | handlePageEnd (xmlTextReaderPtr reader)
void | handleMastersStart (xmlTextReaderPtr reader)
void | handleMastersEnd (xmlTextReaderPtr reader)
void | handleMasterStart (xmlTextReaderPtr reader)
void | handleMasterEnd (xmlTextReaderPtr reader)
void | skipPages (xmlTextReaderPtr reader)
void | skipMasters (xmlTextReaderPtr reader)

## Protected Attributes
VSDCollector * | m_collector
VSDStencils | m_stencils
VSDStencil * | m_currentStencil
VSDShape | m_shape
bool | m_isStencilStarted
unsigned | m_currentStencilID
bool | m_extractStencils
bool | m_isInStyles
unsigned | m_currentLevel
unsigned | m_currentShapeLevel
std::map< unsigned, Colour > | m_colours
VSDFieldList | m_fieldList
VSDShapeList | m_shapeList
librevenge::RVNGBinaryData | m_currentBinaryData
std::stack< VSDShape > | m_shapeStack
std::stack< unsigned > | m_shapeLevelStack
bool | m_isShapeStarted
bool | m_isPageStarted
VSDGeometryList * | m_currentGeometryList
unsigned | m_currentGeometryListIndex
std::map< unsigned, VSDName > | m_fonts

## Private Member Functions
| VSDXMLParserBase (const VSDXMLParserBase &)
VSDXMLParserBase & | operator= (const VSDXMLParserBase &)
void | initColours ()

## Constructor & Destructor Documentation

libvisio::VSDXMLParserBase::VSDXMLParserBase | ( |  | ) |
| explicit

libvisio::VSDXMLParserBase::~VSDXMLParserBase | ( |  | ) |
| virtual

libvisio::VSDXMLParserBase::VSDXMLParserBase | ( | const VSDXMLParserBase & |  | ) |
| private

## Member Function Documentation

void libvisio::VSDXMLParserBase::_flushShape | ( |  | ) |
| protected

void libvisio::VSDXMLParserBase::_handleLevelChange | ( | unsigned | level | ) |
| protectedvirtual

virtual bool libvisio::VSDXMLParserBase::extractStencils | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDXParser, and libvisio::VDXParser.

virtual void libvisio::VSDXMLParserBase::getBinaryData | ( | xmlTextReaderPtr | reader | ) |
| protectedpure virtual

Implemented in libvisio::VSDXParser, and libvisio::VDXParser.

virtual int libvisio::VSDXMLParserBase::getElementDepth | ( | xmlTextReaderPtr | reader | ) |
| protectedpure virtual

Implemented in libvisio::VSDXParser, and libvisio::VDXParser.

virtual int libvisio::VSDXMLParserBase::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| protectedpure virtual

Implemented in libvisio::VSDXParser, and libvisio::VDXParser.

unsigned libvisio::VSDXMLParserBase::getIX | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::handleMasterEnd | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::handleMastersEnd | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::handleMastersStart | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::handleMasterStart | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::handlePageEnd | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::handlePagesEnd | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::handlePagesStart | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::handlePageStart | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::initColours | ( |  | ) |
| private

Referenced by VSDXMLParserBase().

VSDXMLParserBase& libvisio::VSDXMLParserBase::operator= | ( | const VSDXMLParserBase & |  | ) |
| private

virtual bool libvisio::VSDXMLParserBase::parseMain | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDXParser, and libvisio::VDXParser.

void libvisio::VSDXMLParserBase::readArcTo | ( | xmlTextReaderPtr | reader | ) |
| protected

int libvisio::VSDXMLParserBase::readBoolData | ( | boost::optional< bool > & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

int libvisio::VSDXMLParserBase::readBoolData | ( | bool & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

int libvisio::VSDXMLParserBase::readByteData | ( | unsigned char & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

int libvisio::VSDXMLParserBase::readByteData | ( | boost::optional< unsigned char > & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

void libvisio::VSDXMLParserBase::readCharIX | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readColours | ( | xmlTextReaderPtr | reader | ) |
| protected

int libvisio::VSDXMLParserBase::readDoubleData | ( | boost::optional< double > & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

int libvisio::VSDXMLParserBase::readDoubleData | ( | double & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

void libvisio::VSDXMLParserBase::readEllipse | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readEllipticalArcTo | ( | xmlTextReaderPtr | reader | ) |
| protected

int libvisio::VSDXMLParserBase::readExtendedColourData | ( | Colour & | value,
|  | long & | idx,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

int libvisio::VSDXMLParserBase::readExtendedColourData | ( | Colour & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

int libvisio::VSDXMLParserBase::readExtendedColourData | ( | boost::optional< Colour > & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

void libvisio::VSDXMLParserBase::readForeignData | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readGeometry | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readInfiniteLine | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readLineTo | ( | xmlTextReaderPtr | reader | ) |
| protected

int libvisio::VSDXMLParserBase::readLongData | ( | boost::optional< long > & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

int libvisio::VSDXMLParserBase::readLongData | ( | long & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

void libvisio::VSDXMLParserBase::readMoveTo | ( | xmlTextReaderPtr | reader | ) |
| protected

int libvisio::VSDXMLParserBase::readNURBSData | ( | boost::optional< NURBSData > & | data,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

void libvisio::VSDXMLParserBase::readNURBSTo | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readPage | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readPageSheet | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readParaIX | ( | xmlTextReaderPtr | reader | ) |
| protected

int libvisio::VSDXMLParserBase::readPolylineData | ( | boost::optional< PolylineData > & | data,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

void libvisio::VSDXMLParserBase::readPolylineTo | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readRelCubBezTo | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readRelEllipticalArcTo | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readRelLineTo | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readRelMoveTo | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readRelQuadBezTo | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readShape | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readSplineKnot | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readSplineStart | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readStencil | ( | xmlTextReaderPtr | reader | ) |
| protected

virtual xmlChar* libvisio::VSDXMLParserBase::readStringData | ( | xmlTextReaderPtr | reader | ) |
| protectedpure virtual

Implemented in libvisio::VSDXParser, and libvisio::VDXParser.

void libvisio::VSDXMLParserBase::readStyleSheet | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::readText | ( | xmlTextReaderPtr | reader | ) |
| protected

int libvisio::VSDXMLParserBase::readUnsignedData | ( | boost::optional< unsigned > & | value,
|  | xmlTextReaderPtr | reader
| ) |  |
| protected

void libvisio::VSDXMLParserBase::skipMasters | ( | xmlTextReaderPtr | reader | ) |
| protected

void libvisio::VSDXMLParserBase::skipPages | ( | xmlTextReaderPtr | reader | ) |
| protected

## Member Data Documentation

VSDCollector* libvisio::VSDXMLParserBase::m_collector
| protected

std::map<unsigned, Colour> libvisio::VSDXMLParserBase::m_colours
| protected

librevenge::RVNGBinaryData libvisio::VSDXMLParserBase::m_currentBinaryData
| protected

VSDGeometryList* libvisio::VSDXMLParserBase::m_currentGeometryList
| protected

unsigned libvisio::VSDXMLParserBase::m_currentGeometryListIndex
| protected

unsigned libvisio::VSDXMLParserBase::m_currentLevel
| protected

unsigned libvisio::VSDXMLParserBase::m_currentShapeLevel
| protected

VSDStencil* libvisio::VSDXMLParserBase::m_currentStencil
| protected

unsigned libvisio::VSDXMLParserBase::m_currentStencilID
| protected

bool libvisio::VSDXMLParserBase::m_extractStencils
| protected

VSDFieldList libvisio::VSDXMLParserBase::m_fieldList
| protected

std::map<unsigned, VSDName> libvisio::VSDXMLParserBase::m_fonts
| protected

bool libvisio::VSDXMLParserBase::m_isInStyles
| protected

bool libvisio::VSDXMLParserBase::m_isPageStarted
| protected

bool libvisio::VSDXMLParserBase::m_isShapeStarted
| protected

bool libvisio::VSDXMLParserBase::m_isStencilStarted
| protected

VSDShape libvisio::VSDXMLParserBase::m_shape
| protected

std::stack<unsigned> libvisio::VSDXMLParserBase::m_shapeLevelStack
| protected

VSDShapeList libvisio::VSDXMLParserBase::m_shapeList
| protected

std::stack<VSDShape> libvisio::VSDXMLParserBase::m_shapeStack
| protected

VSDStencils libvisio::VSDXMLParserBase::m_stencils
| protected

The documentation for this class was generated from the following files:

- VSDXMLParserBase.h
- VSDXMLParserBase.cpp